;;;; File: extra-tests.lsp
;;; SCCS Version: %W%
;;; Contains: More tests for automatic testing.
;;; Author: Jeff Dalton <J.Dalton@ed.ac.uk>
;;; Created: Mon 3 July 1995
;;; Updated: Sat Jul  8 22:48:37 1995 by Jeff Dalton
;;; Release Version: %Y%
;;; Copyright: (c) 1992, 1993, AIAI, University of Edinburgh
;;; This material may be reproduced by or for the U.S. Government pursuant
;;; to the copyright license under the clause at DFARS 252.227-7032
;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :autotester)

(export 'run-extra-test-sequence)
(export 'extra-test)

(defparameter *extra-test-sequence*

  (list

    ;; The "Island Rescue" Web demo, 1st because most important
    (make-plan-test
      :domain     "island-rescue-web-demo"
      :task       "task_pacifica_evacuation"
      :replans    1
      :exhaustive nil)

    ;; Missionaries and cannibals version 1
    (make-plan-test
      :domain     "mission"
      :task       "task_mc_problem"
      :replans    2
      :exhaustive nil)

    ;; Missionaries and cannibals version 2
    (make-plan-test
      :domain     "mission-with-only-compute"
      :task       "task_mc_problem"
      :replans    2
      :exhaustive nil)

    ;; Missionaries and cannibals version 3
    (make-plan-test
      :domain     "mission-forward-meta"
      :task       "task_mc_problem"
      :replans    2
      :exhaustive nil)

    ;; Software development
    (make-plan-test
      :domain     "software-development"
      :task       "task_information_system"
      :replans    1
      :exhaustive nil)

    ;; SOCAP
    ;; /\/: Not testable yet, because it redefines assign-priority.
    (make-plan-test
      :domain     "socap-test"
      :task       "task_deter_border_incursions_only")

    (make-plan-test
      :domain     "socap-test"
      :task       "task_deter_border_incursions_and_provide_defence")
    
    ;; Pacifica 2nd year resource demo
    (make-plan-test
      :domain     "pacifica-3"
      :task       "task_operation_columbus")

    (make-plan-test
      :domain     "pacifica-3"
      :task       "task_operation_columbus_mixed_transports")

    (make-plan-test
      :domain     "pacifica-3"
      :task       "task_operation_columbus_ground_transports_only")

    (make-plan-test
      :domain     "pacifica-3"
      :task       "task_operation_columbus_helicopters_only")

    ))

;;; A long function name

(defun run-extra-test-sequence (&rest keyword-args)
  (apply #'run-test-sequence *extra-test-sequence*
	 keyword-args))

;;; And a short one

(defun extra-test (&rest test-keys)
  (apply #'run-extra-test-sequence test-keys))

;;; End
