;;;; File: agendadef.lsp
;;; SCCS Version: %W%
;;; Contains: Agenda entry definition.
;;; Author: Richard Kirby (rbk) and jeff Dalton
;;; Created: Sun Apr 15 21:01:23 1990
;;; Updated: Wed Jul 20 16:46:36 1994 by Jeff Dalton
;;; Release Version: %Y%
;;; Copyright: (c) 1992, 1193, 1994, AIAI, University of Edinburgh
;;; This material may be reproduced by or for the U.S. Government pursuant
;;; to the copyright license under the clause at DFARS 252.227-7032
;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

;;; /\/: Need to standardize on ag or ae for agenda-entries.  If it's ae,
;;; then the :conc-name should change as well.  The type should probably
;;; be agenda-entry rather than agenda-rec.

(in-package :oplan)

;;; Agenda entries

(defstruct (agenda-rec (:conc-name ag-))
  "The agenda record."
  id		; A symbol of the form AE-n
  priority
  trigger
  body
  (stage 0)
  cost
  branch-1
  branch-n
  level
  info
  controller-info) ; [Exec only]

(defun-inline ag-type (ag) (car (ag-body ag)))

;;; Alternatives

(defstruct (alternative-rec (:conc-name alt-))
  "The alternative agenda record."
  id		; The alternative agenda record id.
  alt-agenda 	; The agenda rec that contains alternatives.
  context 	; The context number to revert to.
  rating 	; Value used to rate alternatives.
  processing 	; The agenda rec that posted the alternative.
)

;;; ---------------------------- Change History ----------------------------
;;; (Who)   (When) 		     (What)
;;;
