;;;; File: plan-viewer.lsp
;;; SCCS Version: %W%
;;; Contains: Code for chucking bits of plan network out to the plan viewer.
;;; Author: Jeff Dalton
;;; Created: February 1993
;;; Updated: Wed Oct 19 01:36:11 1994 by Jeff Dalton
;;; Copyright: (c) 1993, AIAI, University of Edinburgh
;;; This material may be reproduced by or for the U.S. Government pursuant
;;; to the copyright license under the clause at DFARS 252.227-7032
;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :mcc)

(defun send-to-plan-viewer (network)
  (unless (pprocess:exists-pprocess :pw)
    (initialise-plan-viewer-connection))
  (pprocess:send-to-pprocess (pprocess:find-pprocess :pw)
			     network))

(defun initialise-plan-viewer-connection ()
  (let ((*whoami* :pw)
	(*debug-io* *debug-io*)
	(*trace-output* (make-synonym-stream '*debug-io*))
	(*error-output* (make-synonym-stream '*debug-io*)))
    (new-pprocess *whoami*
       :specials '(*whoami* *debug-io* *trace-output* *error-output*)
       :status :run-on-event
       :run-function
         (intern "PW-EVENT-HANDLER"
		 (find-package "PLAN-WORLD-VIEWER")))))

;;; ---------------------------- Change History ----------------------------
;;; (Who)   (When) 		     (What)
;;;

