;;;; File: KS-CONDITION.lsp
;;;; SCCS Version: %W%
;;;; Contains: Check on conditions that need tying up.
;;;; Author: Richard Kirby (rbk)
;;;; Created: Thu Jul 11 11:56:35 1991
;;;; Updated: Thu Apr  6 19:27:48 1995 by Jeff Dalton
;;;; Release Version: %Y%
;;;; Copyright: (c) 1992, AIAI, University of Edinburgh
;;;; This material may be reproduced by or for the U.S. Government pursuant
;;;; to the copyright license under the clause at DFARS 252.227-7032
;;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :knowledge-source)

(defun KS-CONDITION (ag)
  (STAGE-MANAGER
   (contributors-to-ignore) (interact cond) ag
   ;; The first stage.
   ;; See if condition is satisfyable with the existing effects.
   (setq cond (cadr (ag-body ag)))
   (whats-going-on "Trying to satisfy~%~S" cond)
   (setq interact (try-adding-condition cond nil contributors-to-ignore))
   (if (handle-adding-condition-interaction cond interact)
       (whats-going-on "Satisfied")
     (progn
       (dev-debug :non-fatal-error "Couldn't add cond ~S~%" cond)
       (whats-going-on "Couldn't satisfy")
       (post-agenda `(:POISON-STATE :COULD-NOT-SATISFY-CONDITION ,cond))))))

;;;; ---------------------------- Change History ----------------------------
;;;; (Initials) (Date of change)           (Comment)
