;;;; File: KS-DOMAIN.lsp
;;;; SCCS Version: %W%
;;;; Contains: Handles the loading of a new TF file.
;;;; Author: Richard Kirby (rbk)
;;;; Created: Thu Jul 12 11:03:09 1990
;;;; Updated: Sun Jul 10 23:50:50 1994 by Jeff Dalton
;;;; Release Version: %Y%
;;;; Copyright: (c) 1992, AIAI, University of Edinburgh
;;;; This material may be reproduced by or for the U.S. Government pursuant
;;;; to the copyright license under the clause at DFARS 252.227-7032
;;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :knowledge-source)

(defun KS-DOMAIN (what)
  (let* ((body (ag-body what))
	 (dom (cadr body))
	 (result (db-request :DOMAIN dom)))
    (mcc-send-to-leftout :DOMAIN result)
    (if result
	(dev-debug :information "Set up for domain ~A~%." what)
	(dev-debug :non-fatal-error
		   "Error in setting up for domain ~A~%." what))))

;;;; ---------------------------- Change History ----------------------------
;;;; (Initials) (Date of change)           (Comment)
