;;;; File: KS-INIT.lsp
;;;; SCCS Version: %W%
;;;; Contains: Initialises the planner.
;;;; Author: Richard Kirby (rbk)
;;;; Created: Tue Jul 10 17:13:35 1990
;;;; Updated: Tue May 23 19:09:16 1995 by Jeff Dalton
;;;; Release Version: %Y%
;;;; Copyright: (c) 1992, AIAI, University of Edinburgh
;;;; This material may be reproduced by or for the U.S. Government pursuant
;;;; to the copyright license under the clause at DFARS 252.227-7032
;;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :knowledge-source)

(defun KS-INIT (one)
  
  (declare (ignore one))
  
  ;; Ask all MCC clients except this KP to initialise.
  (ipc-write :MCC (mcc-make-message :MCC :INIT))
  (mcc::mcc-wait-for-ack)
  ;; Initialise this KP.
  (funcall (component-init-fn *pprocess*))
  ;; Report.
  (ipc-write :MCC (mcc-make-message :MCC :PRINT :LEFTOUT :INIT :OK))
  (dev-debug-msg (format nil "Initialised PLANNER OK.~%")
		 *whoami* :information))


;;;; ---------------------------- Change History ----------------------------
;;;; (Initials) (Date of change)           (Comment)
