;;;; File: KS-NO-MORE-ALTERNATIVES.lsp
;;;; SCCS Version: %W%
;;;; Contains: A special agenda entry to indicate that the planner has run
;;;; out of options.
;;;; Author: Richard Kirby (rbk)
;;;; Created: Sat Jul 18 11:32:32 1992
;;;; Updated: Sat Feb 25 21:36:08 1995 by Jeff Dalton
;;;; Release Version: %Y%
;;;; Copyright: (c) 1992, AIAI, University of Edinburgh
;;;; This material may be reproduced by or for the U.S. Government pursuant
;;;; to the copyright license under the clause at DFARS 252.227-7032
;;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :knowledge-source)

(defun KS-NO-MORE-ALTERNATIVES (ag)
  (destructuring-bind (&optional (activity :PLANNING))
      (cdr (ag-body ag))
    (ecase activity
      (:PLANNING (mcc-send-to-leftout :NO-MORE-ALTERNATIVES))
      (:PLAN-REPAIR
       ;; Do nothing
       ))))

;;;; ---------------------------- Change History ----------------------------
;;;; (Initials) (Date of change)           (Comment)
