;;;; File: KS-PLANNER-FINISHED.lsp
;;;; SCCS Version: %W%
;;;; Contains: A KS to stuff a finished message out the :LEFTOUT channel.
;;;; Author: Richard Kirby (rbk)
;;;; Created: Thu Dec 19 17:47:20 1991
;;;; Updated: Sat Apr  9 17:44:52 1994 by Jeff Dalton
;;;; Release Version: %Y%
;;;; Copyright: (c) 1992, AIAI, University of Edinburgh
;;;; This material may be reproduced by or for the U.S. Government pursuant
;;;; to the copyright license under the clause at DFARS 252.227-7032
;;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :knowledge-source)

(defun KS-PLANNER-FINISHED (ag)
  (declare (ignore ag))
  (when (db-request :CONTEXT-WAS-POISONED)
    (cerror "Continue anyway"
	    "Finished in poisoned context.~%Poisoned because ~A"
	    (db-request :CONTEXT-WAS-POISONED)))
  (db-request :PRINT-DATABASE)
  (ipc-write :MCC (mcc-make-message :MCC :PRINT :LEFTOUT :FINISHED)))

;;;; ---------------------------- Change History ----------------------------
;;;; (Initials) (Date of change)           (Comment)
