;;;; File: kcl-extensions.lsp
;;; SCCS Version: %W%
;;; Contains: An attempt to make KCL more up to date
;;; Author: Jeff Dalton <J.Dalton@ed.ac.uk>
;;; Created: Sun Nov 14 1993
;;; Updated: Mon Nov 15 13:49:26 1993 by Jeff Dalton
;;; Release Version: %Y%
;;; Copyright: (c) 1993, AIAI, University of Edinburgh
;;; This material may be reproduced by or for the U.S. Government pursuant
;;; to the copyright license under the clause at DFARS 252.227-7032
;;; (June 1975) -- Rights in Technical Data and Computer Software (Foreign).

(in-package :lisp)

(export '(destructuring-bind))

;;; A poor man's destructuring-bind.  There's destructuring only at
;;; the top-level, i.e., like a defun rather than a defmacro.

(defmacro destructuring-bind (lambda-list expr &body body)
  `(apply #'(lambda ,lambda-list . ,body)
          ,expr))

;;; ---------------------------- Change History ----------------------------
;;; (Who)   (When) 		     (What)
;;;
